Summary:	A free distributed C/C++ compiler system
Name:		distcc
Version:	2.9
Release:	1
Group:		Development/Tools
License:	GPL
Source0:	http://distcc.samba.org/ftp/distcc/%{name}-%{version}.tar.bz2
Patch0:		distcc-2.9-engarde-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
distcc is a program to distribute compilation of C or C++ code across
several machines on a network. distcc should always generate the same
results as a local compile, is simple to install and use, and is often
two or more times faster than a local compile.

%files
  %defattr(0444,root,root,0555)
  %doc AUTHORS COPYING COPYING.FDL INSTALL NEWS README* TODO
  %doc doc/* survey.txt

  %attr(0444,root,root)		%doc %{_mandir}/man?/*
  %attr(0510,root,admin)	%{_bindir}/distcc
  %attr(0510,root,admin)	%{_bindir}/distccmon-text
  %attr(0500,root,admin)	%{_bindir}/distccd
  %attr(0700,root,root)		%{_sysconfdir}/init.d/distccd
  %attr(0640,root,admin)	%config(noreplace) %{_sysconfdir}/distcc/config
  %attr(0640,root,admin)	%config(noreplace) %{_sysconfdir}/distcc/hosts

%prep
%setup -q
%patch0 -p1

%build
  %configure
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

  # XXX
  pushd packaging/engarde
    install -d $RPM_BUILD_ROOT/%{_sysconfdir}/{distcc,init.d}
    install distccd.init   $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/distccd
    install distccd.config $RPM_BUILD_ROOT/%{_sysconfdir}/distcc/config
    install distccd.hosts  $RPM_BUILD_ROOT/%{_sysconfdir}/distcc/hosts
  popd

  # Remove unpackaged files.
  rm -rf $RPM_BUILD_ROOT/%{_docdir}/distcc

%pre
  if [ "$1" = 1 ] ; then
	/usr/sbin/useradd -d /var/empty -s /bin/false -c "%{name} build user" -r %{name} || :
  fi

%post
  if [ -f /var/lock/subsys/distcc ]; then
	/etc/init.d/distccd restart > /dev/null 2>&1 || :
  fi

%preun
  if [ "$1" = 0 ]; then
	/etc/init.d/distccd stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del distccd             || :
  fi

%postun
  if [ "$1" = 0 ]; then
	/usr/sbin/userdel %{name} || :
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.9, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
